indexing
   description: "gdk point"
   status: "You may be able to redistribute and/or modify this program.% 
   % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gdk_point.e,v 1.5 1999/02/13 04:07:52 pcj Exp $"

class GDK_POINT
inherit 
   GDK_OBJECT
   GDK_ARRAYABLE
creation
   make, exg_create
feature -- Creation
   make ( px, py : INTEGER ) is
      do
		 !!storage.make(ext_sizeof_gdk_point)
		 ext_point_new(px, py, storage.to_external)
		 gdkobject := storage.to_external
      end -- make

   x : INTEGER is
      do
		 Result := ext_point_x(storage.to_external)
      end
   
   y : INTEGER is 
      do
		 Result := ext_point_y(storage.to_external)
      end   

feature {NONE} -- Private
   ext_point_new ( px, py : INTEGER ; p : POINTER ) is
      external "C"
      end

   ext_sizeof_gdk_point : INTEGER is
      external "C"
      end

   ext_point_x ( p : POINTER ) : INTEGER is
      external "C"
      end

   ext_point_y ( p : POINTER ) : INTEGER is
      external "C"
      end

end 

