
indexing
   author: "Miron Brezuleanu"
   purpose: "A window which quits the application when closed. To do %
   %this it redefines `delete_handler'. In order to work, %
   %the user must call its `activate_event_handling' command"
	    
class EXG_MAIN_WINDOW
   
inherit
   EXG_WINDOW
      undefine
	 main_window
      redefine
	 delete_handler,
	 make,
	 make_with_type
      end
   GTK_MAIN

creation
   make,
   make_with_type

feature -- event handling

   make is
	 -- creates the window and calls main_window, to make sure 
	 -- it'll hold the right value
      do
	 Precursor
	 main_window_init
      end
   
   make_with_type(t: GTK_WINDOW_TYPE) is
	 -- creates the window and calls main_window, to make sure 
	 -- it'll hold the right value
      do
	 Precursor(t)
	 main_window_init
      end
   
   main_window_init is
	 -- common sequence for creation commands
      local
	 tmp: EXG_MAIN_WINDOW
      do
	 realize
	 tmp := main_window
      end
   
   delete_handler is
	 -- just some messages
      do
	 hide
	 quit
	 exit(0)
      end

   main_window: EXG_MAIN_WINDOW is
	 -- returns the main window of the application
      require
	 realized
      once
	 Result := Current
      end
	 
end


