
indexing
   author: "Miron Brezuleanu"
   purpose: "implement a simple queue structure, which doesn't seem %
   %to be present in the SmallEiffel std_lib"
   
class EXG_QUEUE[G]
   
inherit
   LINKED_LIST[G]
      rename
	 put as list_put
      end
   
creation
   make

feature
   
   put(pitem: G) is
	 -- places an item at the head of the queue
      do
	 add_last(pitem)
      end
   
   get: G is
	 -- retrieves (and removes) the item at the queue of the queue
      require
	 not empty
      do
	 Result := item(1)
	 remove_first
      end
   
end

   
