indexing
   description: "gtk target entry"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_target_entry.e,v 1.5 1999/02/13 03:04:38 pcj Exp $"

class GTK_TARGET_ENTRY
creation
   make
feature -- Creation
   make (target : STRING ; flags : GTK_TARGET_FLAGS ; info : INTEGER ) is
      do
	 !!storage.make(ext_sizeof_target_entry)
	 ext_make_target_entry (target.to_external, 
				flags.value, 
				info, storage.to_external)
      end -- make

   to_external : POINTER is
      do
	 Result := storage.to_external
      end

feature {ANY} -- Queries
feature {ANY} -- Commands
feature {NONE} -- Private

   storage : FIXED_ARRAY[CHARACTER]

   ext_make_target_entry ( target : POINTER ; flags, info : INTEGER; 
			   storage_: POINTER ) is
      external "C"
      end

   ext_sizeof_target_entry : INTEGER is
      external "C"
      end
   
invariant
end 
